--- old/usr/src/man/man9f/csx_ModifyWindow.9f	2014-11-12 17:44:36.024923586 +0100
+++ /dev/null	2014-11-12 17:44:36.000000000 +0100
@@ -1,263 +0,0 @@
-'\" te
-.\"  Copyright (c) 2000, Sun Microsystems, Inc.
-.\"  All Rights Reserved
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH CSX_MODIFYWINDOW 9F "Jul 19, 1996"
-.SH NAME
-csx_ModifyWindow \- modify window attributes
-.SH SYNOPSIS
-.LP
-.nf
-#include <sys/pccard.h>
-
-
-
-\fBint32_t\fR \fBcsx_ModifyWindow\fR(\fBwindow_handle_t\fR \fIwh\fR, \fBmodify_win_t *\fR\fImw\fR);
-.fi
-
-.SH INTERFACE LEVEL
-.sp
-.LP
-Solaris \fBDDI \fRSpecific (Solaris \fBDDI) \fR
-.SH PARAMETERS
-.sp
-.ne 2
-.na
-\fB\fIwh\fR \fR
-.ad
-.RS 7n
-Window handle returned from \fBcsx_RequestWindow\fR(9F).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fImw\fR \fR
-.ad
-.RS 7n
-Pointer to a \fBmodify_win_t\fR structure.
-.RE
-
-.SH DESCRIPTION
-.sp
-.LP
-This function modifies the attributes of a window allocated by the
-\fBcsx_RequestWindow\fR(9F) function.
-.sp
-.LP
-Only some of the window attributes or the access speed field may be modified by
-this request. The \fBcsx_MapMemPage\fR(9F) function is also used to set the
-offset into \fBPC \fRCard memory to be mapped into system memory for paged
-windows. The \fBcsx_RequestWindow\fR(9F) and \fBcsx_ReleaseWindow\fR(9F)
-functions must be used to change the window base or size.
-.SH STRUCTURE MEMBERS
-.sp
-.LP
-The structure members of \fBmodify_win_t\fR are:
-.sp
-.in +2
-.nf
-uint32_t       Attributes;          /* window flags */
-uint32_t       AccessSpeed;         /* window access speed */
-.fi
-.in -2
-
-.sp
-.LP
-The fields are defined as follows:
-.sp
-.ne 2
-.na
-\fB\fBAttributes\fR \fR
-.ad
-.RS 15n
-This field is bit-mapped and defined as follows:
-.sp
-.ne 2
-.na
-\fBWIN_MEMORY_TYPE_CM\fR
-.ad
-.RS 26n
-Window points to Common Memory area. Set this to map the window to Common
-Memory.
-.RE
-
-.sp
-.ne 2
-.na
-\fBWIN_MEMORY_TYPE_AM\fR
-.ad
-.RS 26n
-Window points to Attribute Memory area. Set this to map the window to Attribute
-Memory.
-.RE
-
-.sp
-.ne 2
-.na
-\fBWIN_ENABLE\fR
-.ad
-.RS 26n
-Enable Window. The client must set this to enable the window.
-.RE
-
-.sp
-.ne 2
-.na
-\fBWIN_ACCESS_SPEED_VALID\fR
-.ad
-.RS 26n
-\fBAccessSpeed\fR valid. The client must set this when the \fBAccessSpeed\fR
-field has a value that the client wants set for the window.
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBAccessSpeed\fR\fR
-.ad
-.RS 15n
-The bit definitions for this field use the format of the extended speed byte of
-the Device \fBID \fRtuple. If the mantissa is \fB0\fR (noted as reserved in the
-\fIPC Card 95 Standard\fR), the lower bits are a binary code representing a
-speed from the list below. Numbers in the first column are codes; items in the
-second column are speeds.
-.sp
-.ne 2
-.na
-\fB0\fR
-.ad
-.RS 9n
-Reserved: do not use
-.RE
-
-.sp
-.ne 2
-.na
-\fB1\fR
-.ad
-.RS 9n
-\fB250 nsec\fR
-.RE
-
-.sp
-.ne 2
-.na
-\fB2\fR
-.ad
-.RS 9n
-\fB200 nsec\fR
-.RE
-
-.sp
-.ne 2
-.na
-\fB3\fR
-.ad
-.RS 9n
-\fB150 nsec\fR
-.RE
-
-.sp
-.ne 2
-.na
-\fB4\fR
-.ad
-.RS 9n
-\fB100 nsec\fR
-.RE
-
-.sp
-.ne 2
-.na
-\fB5 - 7\fR
-.ad
-.RS 9n
-Reserved: do not use
-.RE
-
-It is recommended that clients use the \fBcsx_ConvertSpeed\fR(9F) function to
-generate the appropriate \fBAccessSpeed\fR values rather than manually
-perturbing the \fBAccessSpeed\fR field.
-.RE
-
-.SH RETURN VALUES
-.sp
-.ne 2
-.na
-\fB\fBCS_SUCCESS\fR \fR
-.ad
-.RS 28n
-Successful operation.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCS_BAD_HANDLE\fR \fR
-.ad
-.RS 28n
-Window handle is invalid.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCS_NO_CARD\fR \fR
-.ad
-.RS 28n
-No \fBPC \fRCard in socket.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCS_BAD_OFFSET\fR \fR
-.ad
-.RS 28n
-Error getting/setting window hardware parameters.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCS_BAD_WINDOW\fR \fR
-.ad
-.RS 28n
-Error getting/setting window hardware parameters.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCS_BAD_SPEED\fR \fR
-.ad
-.RS 28n
-\fBAccessSpeed\fR is invalid.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCS_UNSUPPORTED_FUNCTION\fR \fR
-.ad
-.RS 28n
-No \fBPCMCIA \fRhardware installed.
-.RE
-
-.SH CONTEXT
-.sp
-.LP
-This function may be called from user or kernel context.
-.SH SEE ALSO
-.sp
-.LP
-\fBcsx_ConvertSpeed\fR(9F), \fBcsx_MapMemPage\fR(9F),
-\fBcsx_ReleaseWindow\fR(9F), \fBcsx_RequestWindow\fR(9F)
-.sp
-.LP
-\fIPC Card 95 Standard, PCMCIA/JEIDA\fR