--- old/usr/src/man/man9f/csx_Parse_CISTPL_FUNCID.9f	2014-11-12 17:44:36.644451210 +0100
+++ /dev/null	2014-11-12 17:44:36.000000000 +0100
@@ -1,293 +0,0 @@
-'\" te
-.\"  Copyright (c) 1996, Sun Microsystems, Inc.  All Rights Reserved
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH CSX_PARSE_CISTPL_FUNCID 9F "Dec 20, 1996"
-.SH NAME
-csx_Parse_CISTPL_FUNCID \- parse Function Identification tuple
-.SH SYNOPSIS
-.LP
-.nf
-#include <sys/pccard.h>
-
-
-
-\fBint32_t\fR \fBcsx_Parse_CISTPL_FUNCID\fR(\fBclient_handle_t\fR \fIch\fR, \fBtuple_t *\fR\fItu\fR,
-     \fBcistpl_funcid_t *\fR\fIcf\fR);
-.fi
-
-.SH INTERFACE LEVEL
-.sp
-.LP
-Solaris \fBDDI \fRSpecific (Solaris \fBDDI) \fR
-.SH PARAMETERS
-.sp
-.ne 2
-.na
-\fB\fIch\fR\fR
-.ad
-.RS 6n
-Client handle returned from \fBcsx_RegisterClient\fR(9F).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fItu\fR\fR
-.ad
-.RS 6n
-Pointer to a \fBtuple_t\fR structure (see \fBtuple\fR(9S)) returned by a call
-to \fBcsx_GetFirstTuple\fR(9F) or \fBcsx_GetNextTuple\fR(9F).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fIcf\fR\fR
-.ad
-.RS 6n
-Pointer to a \fBcistpl_funcid_t\fR structure which contains the parsed
-\fBCISTPL_FUNCID\fR tuple information upon return from this function.
-.RE
-
-.SH DESCRIPTION
-.sp
-.LP
-This function parses the Function Identification tuple, \fBCISTPL_FUNCID,\fR
-into a form usable by \fBPC \fRCard drivers.
-.sp
-.LP
-The \fBCISTPL_FUNCID\fR tuple is used to describe information about the
-functionality provided by a \fBPC \fRCard. Information is also provided to
-enable system utilities to decide if the \fBPC \fRCard should be configured
-during system initialization. If additional function specific information is
-available, one or more function extension tuples of type \fBCISTPL_FUNCE\fR
-follow this tuple (see \fBcsx_Parse_CISTPL_FUNCE\fR(9F)).
-.SH STRUCTURE MEMBERS
-.sp
-.LP
-The structure members of \fBcistpl_funcid_t\fR are:
-.sp
-.in +2
-.nf
-uint32_t     function;     /* PC Card function code */
-uint32_t     sysinit;      /* system initialization mask */
-.fi
-.in -2
-
-.sp
-.LP
-The fields are defined as follows:
-.sp
-.ne 2
-.na
-\fB\fBfunction\fR\fR
-.ad
-.RS 12n
-This is the function type for \fBCISTPL_FUNCID:\fR
-.sp
-.ne 2
-.na
-\fBTPLFUNC_MULTI\fR
-.ad
-.RS 27n
-Vendor-specific multifunction card
-.RE
-
-.sp
-.ne 2
-.na
-\fBTPLFUNC_MEMORY\fR
-.ad
-.RS 27n
-Memory card
-.RE
-
-.sp
-.ne 2
-.na
-\fBTPLFUNC_SERIAL\fR
-.ad
-.RS 27n
-Serial I/O port
-.RE
-
-.sp
-.ne 2
-.na
-\fBTPLFUNC_PARALLEL\fR
-.ad
-.RS 27n
-Parallel printer port
-.RE
-
-.sp
-.ne 2
-.na
-\fBTPLFUNC_FIXED\fR
-.ad
-.RS 27n
-Fixed disk, silicon or removable
-.RE
-
-.sp
-.ne 2
-.na
-\fBTPLFUNC_VIDEO\fR
-.ad
-.RS 27n
-Video interface
-.RE
-
-.sp
-.ne 2
-.na
-\fBTPLFUNC_LAN\fR
-.ad
-.RS 27n
-Local Area Network adapter
-.RE
-
-.sp
-.ne 2
-.na
-\fBTPLFUNC_AIMS\fR
-.ad
-.RS 27n
-Auto Incrementing Mass Storage
-.RE
-
-.sp
-.ne 2
-.na
-\fBTPLFUNC_SCSI\fR
-.ad
-.RS 27n
-SCSI bridge
-.RE
-
-.sp
-.ne 2
-.na
-\fBTPLFUNC_SECURITY\fR
-.ad
-.RS 27n
-Security cards
-.RE
-
-.sp
-.ne 2
-.na
-\fBTPLFUNC_VENDOR_SPECIFIC\fR
-.ad
-.RS 27n
-Vendor specific
-.RE
-
-.sp
-.ne 2
-.na
-\fBTPLFUNC_UNKNOWN\fR
-.ad
-.RS 27n
-Unknown function(s)
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBsysinit\fR\fR
-.ad
-.RS 11n
-This field is bit-mapped and defined as follows:
-.sp
-.ne 2
-.na
-\fBTPLINIT_POST\fR
-.ad
-.RS 16n
-POST should attempt configure
-.RE
-
-.sp
-.ne 2
-.na
-\fBTPLINIT_ROM\fR
-.ad
-.RS 16n
-Map ROM during sys init
-.RE
-
-.RE
-
-.SH RETURN VALUES
-.sp
-.ne 2
-.na
-\fB\fBCS_SUCCESS\fR\fR
-.ad
-.RS 27n
-Successful operation.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCS_BAD_HANDLE\fR\fR
-.ad
-.RS 27n
-Client handle is invalid.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCS_UNKNOWN_TUPLE\fR\fR
-.ad
-.RS 27n
-Parser does not know how to parse tuple.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCS_NO_CARD\fR\fR
-.ad
-.RS 27n
-No \fBPC \fRCard in socket.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCS_NO_CIS\fR\fR
-.ad
-.RS 27n
-No Card Information Structure (CIS) on \fBPC \fRCard.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBCS_UNSUPPORTED_FUNCTION\fR\fR
-.ad
-.RS 27n
-No \fBPCMCIA \fRhardware installed.
-.RE
-
-.SH CONTEXT
-.sp
-.LP
-This function may be called from user or kernel context.
-.SH SEE ALSO
-.sp
-.LP
-\fBcsx_GetFirstTuple\fR(9F), \fBcsx_GetTupleData\fR(9F),
-\fBcsx_Parse_CISTPL_FUNCE\fR(9F), \fBcsx_RegisterClient\fR(9F),
-\fBcsx_ValidateCIS\fR(9F), \fBtuple\fR(9S)
-.sp
-.LP
-\fIPC Card 95 Standard, PCMCIA/JEIDA\fR